name: fengshui_compass
description: 定盘星

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ">=2.8.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  # Stream Utility
  stream_transform: ^0.0.19
  # showToast(弹窗提示)
  fluttertoast: ^7.1.6
  #App版本信息
  package_info: ^2.0.2
  #用来加载网络数据
  dio: ^4.0.4
  #偏好设置
  shared_preferences: ^2.0.13

  webview_flutter: ^3.0.1
  cupertino_icons: ^1.0.2
  flutter_serial_port_api:
    git:
      url: https://gitee.com/liang-fu/flutter_serial_port_api.git
  flutter_pickers: ^2.1.9
  provider: ^6.0.3
  sqflite: ^2.0.2+1
  path: ^1.8.1
  image_picker: ^0.8.5+3
  path_provider: ^2.0.11

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^1.0.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/index.html
    - assets/test.js
    - assets/images/
    - assets/magnetic_declination.db

  fonts:
    - family: iconfont # 从 iconfont.json 中获取
      fonts:
        - asset: assets/fonts/iconfont.ttf

  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
